# ACE_System_Time Class Reference

Defines the timer services of the OS interface to access the system time either on the local host or on the central time server in the network. More...

`#include <System_Time.h>`

List of all members.

## Public Types

enum | Sync_Mode { Jump, Adjust }

## Public Member Functions

| ACE_System_Time (const ACE_TCHAR *poolname=0)
| Default constructor.
| ~ACE_System_Time (void)
| Default destructor.
int | get_master_system_time (ACE_UINT32 &time_out)
| Get the system time of the central time server.
int | get_master_system_time (ACE_Time_Value &time_out)
| Get the system time of the central time server.
int | sync_local_system_time (ACE_System_Time::Sync_Mode mode)

## Static Public Member Functions

int | get_local_system_time (ACE_UINT32 &time_out)
int | get_local_system_time (ACE_Time_Value &time_out)

## Private Types

typedef ACE_Malloc< ACE_MMAP_MEMORY_POOL, ACE_Null_Mutex > | MALLOC
typedef ACE_Allocator_Adapter< MALLOC > | ALLOCATOR

## Private Attributes

ALLOCATOR * | shmem_
| Our allocator (used for obtaining system time from shared memory).
ACE_TCHAR | poolname_ [MAXPATHLEN+1]
| The name of the pool used by the allocator.
long * | delta_time_
| Pointer to delta time kept in shared memory.

## Detailed Description

Defines the timer services of the OS interface to access the system time either on the local host or on the central time server in the network.

## Member Typedef Documentation

typedef ACE_Allocator_Adapter<MALLOC> ACE_System_Time::ALLOCATOR `[private]`

typedef ACE_Malloc<ACE_MMAP_MEMORY_POOL, ACE_Null_Mutex> ACE_System_Time::MALLOC `[private]`

## Member Enumeration Documentation

enum ACE_System_Time::Sync_Mode

Enumeration types to specify mode of synchronization with master clock. Jump will set local system time directly (thus possibly producing time gaps or ambiguous local system times. Adjust will smoothly slow down or speed up the local system clock to reach the system time of the master clock.

Enumeration values:

  Jump |
  Adjust |

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_System_Time::ACE_System_Time | ( | const ACE_TCHAR * | poolname = `0` | ) |

| Default constructor.

ACE_System_Time::~ACE_System_Time | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

int ACE_System_Time::get_local_system_time | ( | ACE_Time_Value & | time_out | ) | `[static]`

| Get the local system time, i.e., the value returned by <ACE_OS::time>.

int ACE_System_Time::get_local_system_time | ( | ACE_UINT32 & | time_out | ) | `[static]`

| Get the local system time, i.e., the value returned by <ACE_OS::time>.

int ACE_System_Time::get_master_system_time | ( | ACE_Time_Value & | time_out | ) |

| Get the system time of the central time server.

int ACE_System_Time::get_master_system_time | ( | ACE_UINT32 & | time_out | ) |

| Get the system time of the central time server.

int ACE_System_Time::sync_local_system_time | ( | ACE_System_Time::Sync_Mode | mode | ) |

| Synchronize local system time with the central time server using specified mode.

## Member Data Documentation

long* ACE_System_Time::delta_time_ `[private]`

| Pointer to delta time kept in shared memory.

ACE_TCHAR ACE_System_Time::poolname_[MAXPATHLEN+1]`[private]`

| The name of the pool used by the allocator.

ALLOCATOR* ACE_System_Time::shmem_ `[private]`

| Our allocator (used for obtaining system time from shared memory).

The documentation for this class was generated from the following files:

- System_Time.h
- System_Time.cpp